# PropertyEstimatorResult

class `propertyestimator.client.``PropertyEstimatorResult`(result_id='')

  Represents the results of attempting to estimate a set of physical properties using the property estimator server backend.

  Warning

  This class is still heavily under development and is subject to rapid changes.

  `id`

    The unique id assigned to this result set by the server.

    Type

      str

  `queued_properties`

    A dictionary of the properties which have yet to be estimated by the server.

    Type

      dict of str and PhysicalProperty

  `estimated_properties`

    A dictionary of the properties which were successfully estimated, where the dictionary key is the unique id of the property being estimated.

    Type

      dict of str and PhysicalProperty

  `unsuccessful_properties`

    A dictionary of the properties which could not be estimated by the server.

    Type

      dict of str and PhysicalProperty

  `exceptions`

    A list of the exceptions that were raised when unsuccessfully carrying out this estimation request.

    Type

      list of PropertyEstimatorException

  `__init__`(result_id='')

    Constructs a new PropertyEstimatorResult object.

    Parameters

      result_id (str) – The unique id assigned to this result set by the server.

  Methods

  `__init__`([result_id]) | Constructs a new PropertyEstimatorResult object.
  `json`() | Creates a JSON representation of this class.
  `parse_json`(string_contents[, encoding]) | Parses a typed json string into the corresponding class structure.

  `json`()

    Creates a JSON representation of this class.

    Returns

      The JSON representation of this class.

    Return type

      str

  classmethod `parse_json`(string_contents, encoding='utf8')

    Parses a typed json string into the corresponding class structure.

    Parameters

      - string_contents (str or bytes) – The typed json string.

      - encoding (str) – The encoding of the string_contents.

    Returns

      The parsed class.

    Return type

      Any